package service

import (
	"encoding/xml"
	"log"
	"shandong_datapush/common"
	"shandong_datapush/dao"
)

/*
	干滩实时数据
 */
func GtRealTimeDataProcess() {
	gtArrs := dao.GtRealDataProcess()
	by, err := xml.Marshal(gtArrs)
	common.ErrorPrintln("干滩实时数据xml序列化", err)
	log.Println("干滩实时数据>>>>>>>>>>>>>>>>>>>>>>>>", string(by))
}

/*
	库水位实时数据
 */
func KswRealTimeDataProcess() {
	kswArrs := dao.KswRealDataProcess()
	by, err := xml.Marshal(kswArrs)
	common.ErrorPrintln("库水位实时数据xml序列化", err)
	log.Println("库水位实时数据>>>>>>>>>>>>>>>>>>>>>>>>", string(by))
}

/*
	浸润线实时数据
*/
func JrxRealTimeDataProcess() {
	jrxArrs := dao.JrxRealDataProcess()
	by, err := xml.Marshal(jrxArrs)
	common.ErrorPrintln("浸润线实时数据xml序列化", err)
	log.Println("浸润线实时数据>>>>>>>>>>>>>>>>>>>>>>>>", string(by))
}


/*
	降雨量实时数据
*/
func JylRealTimeDataProcess() {
	jylArrs := dao.JylRealDataProcess()
	by, err := xml.Marshal(jylArrs)
	common.ErrorPrintln("降雨量实时数据xml序列化", err)
	log.Println("降雨量实时数据>>>>>>>>>>>>>>>>>>>>>>>>", string(by))
}

/*
	内部位移实时数据
*/
func NbwyRealTimeDataProcess() {
	nbwyArrs := dao.NbwyRealDataProcess()
	by, err := xml.Marshal(nbwyArrs)
	common.ErrorPrintln("内部位移实时数据xml序列化", err)
	log.Println("内部位移实时数据>>>>>>>>>>>>>>>>>>>>>>>>", string(by))
}

/*
	表面位移位移实时数据
*/
func BmwyRealTimeDataProcess() {
	bmwyArrs := dao.BmwyRealDataProcess()
	by, err := xml.Marshal(bmwyArrs)
	common.ErrorPrintln("表面位移位移实时数据xml序列化", err)
	log.Println("表面位移实时数据>>>>>>>>>>>>>>>>>>>>>>>>", string(by))
}


/*
	离线设备实时数据
*/
func DOLRealTimeDataProcess() {
	AmsArrs := dao.DeviceOffLineRealDataProcess()
	by, err := xml.Marshal(AmsArrs)
	common.ErrorPrintln("设备离线实时数据xml序列化", err)
	log.Println("设备离线实时数据>>>>>>>>>>>>>>>>>>>>>>>>", string(by))
}

/*
	报警设备实时数据
*/
func AMSRealTimeDataProcess() {
	AmsArrs := dao.AlarmDataRealDataProcess()
	by, err := xml.Marshal(AmsArrs)
	common.ErrorPrintln("报警设备实时数据xml序列化", err)
	log.Println("报警设备实时数据>>>>>>>>>>>>>>>>>>>>>>>>", string(by))
}